import 'package:app/pages/teacher/home/t_home_page.dart';
import 'package:app/pages/teacher/room/t_room_page.dart';
import 'package:app/router/router_config.dart';

import '../route_paths.dart';

List<RouterConfig> teacherRoutes = [
  RouterConfig(
    path: RoutePaths.tHome,
    child: (state) {
      return THomePage();
    },
  ),
  RouterConfig(
    path: RoutePaths.tRoom,
    child: (state) {
      final extra = state.extra as dynamic;
      return TRoomPage(
        roomInfo: extra,
      );
    },
  ),
];
